Skip to main content
Returns global settings for the data source

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

sourceId
string
required

Response

The global settings was returned successfully

Source global settings that affects initial and existing visuals

textSearchEnabled
boolean

Enables or disables text search on the dashboard. Can be enabled only of the source supports TEXT_SEARCH feature

nestedFiltersEnabled
boolean
read-only

Nested filter is shown for filters at sources when this flag is enabled. Will be enabled only if source connector has NO_NESTED_FILTERS with value as false

timebar
object

Timebar settings

tileProvider
object

Maps tile provider settings

defaultVisualFilters
object[]

Row filters used to limit requested data for initial visual rendering of all visuals associated with this source.

allowedCalendarIds
string[]

List of ids of calendars which are allowed to be used by this source

countryFormat
enum<string>
Available options:
NAME_LONG,
FORMAL_EN,
ISO_A2,
ISO_A3